﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FileIO
{
    class Program
    {
        List<Person> pList = new List<Person>();

        void LoadFile(string path)
        {
            if (File.Exists(path))
            {
                Console.WriteLine(path);

                FileStream fs = new FileStream(path, FileMode.Open, FileAccess.Read);
                StreamReader r = new StreamReader(fs); //, System.Text.Encoding.Default);
                r.BaseStream.Seek(0, SeekOrigin.Begin);
                while (r.Peek() > -1)
                {
                    string line = r.ReadLine();
                    Console.WriteLine(line);
                }
                r.Close();
                
                // 한글처리시 필요함
                using (StreamReader sr = new StreamReader(path, System.Text.Encoding.Default))
                {
                    string line = "";
                    char[] delimiter = { ',' };
                    while ((line = sr.ReadLine()) != null)
                    {
                        Console.WriteLine(line);
                        // cvs file format parse
                        string[] items = line.Split(delimiter);
                        foreach (string s in items) {
                            Console.WriteLine(s);
                        }
                        // add Person
                        Person p = new Person();
                        p.Name = items[0];
                        p.ID = int.Parse(items[1]);
                        p.Phone = items[2];
                        p.Address = items[3];
                        pList.Add(p);
                    }
                    sr.Close();
                }
            }
        }

        void WriteFile(string path)
        {
            // 한글처리시 필요함
            using (StreamWriter sw = new StreamWriter(path, false, System.Text.Encoding.Default))
            {
                foreach (Person p in pList)
                    sw.WriteLine(p);                // Person에 ToString() 사용
                sw.Close();
            }
        }

        static void Main(string[] args)
        {
            string path = "Test.csv";
            Program p = new Program();
            p.LoadFile(path);                       // 파일읽기
            p.WriteFile("Out.csv");                 // 파일쓰기
        }
    }
}
